org.apache.lucene.codecs

## Class LiveDocsFormat

- java.lang.Object
- - org.apache.lucene.codecs.LiveDocsFormat

Direct Known Subclasses:
  Lucene50LiveDocsFormat

    public abstract class LiveDocsFormat
    extends Object

Format for live/deleted documents

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
`protected` `LiveDocsFormat()` Sole constructor.

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `files(SegmentCommitInfo info, Collection<String> files)` Records all files in use by this `SegmentCommitInfo` into the files argument.
`abstract Bits` `readLiveDocs(Directory dir, SegmentCommitInfo info, IOContext context)` Read live docs bits.
`abstract void` `writeLiveDocs(Bits bits, Directory dir, SegmentCommitInfo info, int newDelCount, IOContext context)` Persist live docs bits.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LiveDocsFormat

    protected LiveDocsFormat()

Sole constructor. (For invocation by subclass constructors, typically implicit.)

### Method Detail

#### readLiveDocs

    public abstract Bits readLiveDocs(Directory dir,
                                      SegmentCommitInfo info,
                                      IOContext context)
                               throws IOException

Read live docs bits.

Throws:
  `IOException`

#### writeLiveDocs

    public abstract void writeLiveDocs(Bits bits,
                                       Directory dir,
                                       SegmentCommitInfo info,
                                       int newDelCount,
                                       IOContext context)
                                throws IOException

Persist live docs bits. Use `SegmentCommitInfo.getNextDelGen()` to determine the generation of the deletes file you should write to.

Throws:
  `IOException`

#### files

    public abstract void files(SegmentCommitInfo info,
                               Collection<String> files)
                        throws IOException

Records all files in use by this `SegmentCommitInfo` into the files argument.

Throws:
  `IOException`